petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscMPIDump

Dumps a listing of incomplete MPI operations, such as sends that have never been received, etc.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMPIDump(FILE *fd)

Collective on PETSC_COMM_WORLD Many br

### Input Parameter

fp -file pointer. If fp is NULL, stdout is assumed. Many br

### Options Database Key

-mpidump -Dumps MPI incompleteness during call to PetscFinalize() Many br

Many br

### See Also

PetscMallocDump()

Level:developer
Location:src/sys/utils/mpitr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages